<ion-toolbar color="light">
  <div class="summary">
    <ion-button fill="clear" mode="ios" [class.selected]="status.id == selectedStatus" *ngFor="let status of statuses" (click)="selectStatus(status.id)">
      {{status.name}}
      <ion-badge mode="ios" fill="outline">{{status.count}}</ion-badge>
    </ion-button>
  </div>
</ion-toolbar>

<ion-content>  

  <div class="orders">
    <div class="container" *ngFor="let order of _orders">

      <div class="details">
        <div>
          <div class="name">{{order.name}}</div>
          <div class="methods">{{order.deliveryMethod}} &bull; {{order.paymentMethod}}</div>
        </div>
        <div class="ion-text-right">
          <div class="order-no">{{order.id}}</div>
          <div class="order-date">{{order.date | date:'MMM dd, yyyy HH:MM'}}</div>
        </div>
      </div>

      <div class="footer">
        <div class="status">
          <ion-badge mode="ios" [color]="order.statusColor">{{order.status}}</ion-badge>
        </div>
        
        <div class="amount">{{order.amount | currency: ' ' }}</div>
        
      </div>
    </div>
  </div>
</ion-content>